<?xml version="1.0" encoding="utf-8"?>
<page xmlns="http://projectmallard.org/1.0/" type="guide" id="synchronization" xml:lang="da">

  <info>
    <link type="guide" xref="index#advanced"/>
    <desc>Synchronize notes</desc>
    <license><p>GNU Free Documentation License (GFDL), Version 1.1</p></license>
    <credit type="author">
      <name>Aurimas Cernius</name>
      <years>2012,2019</years>
    </credit>
    <credit type="editor">
      <name>Adam Dingle</name>
      <email>adam@yorba.org</email>
      <years>2013</years>
    </credit>
  </info>

  <title>Synchronization</title>
  <section id="description">
    <title>About synchronization</title>
    <p><app>Gnote</app> lets you synchronize notes across multiple machines, so that you can use it on multiple devices and work with the same notes on all of them.</p>
    <p>In order to use synchronization, you have to configure it first in the <app>Gnote</app> configuration dialog.</p>
    <p>Notes are synchronized to one location, common to all <app>Gnote</app> installations. This location stores the history of your notes. When synchronizing, each <app>Gnote</app> instance uploads new and updated notes to this location, and downloads new and updated notes from other installations. The synchronization location also contains information on deleted notes: when synchronizing, <app>Gnote</app> publishes all deleted notes and deletes the ones that have been published as such. This way multiple <app>Gnote</app> installations can keep the same set of notes.</p>
  </section>
  <section id="configuration" style="2column">
    <title>Configure synchronization</title>
  </section>
  <section id="usage">
    <title>Synchronize</title>
    <p>To synchronize, click the menu button in main window and then select <gui>Synchronize Notes</gui> from the menu. This item is only available if synchronization has been configured.</p>
    <p>After you select the <gui>Synchronize Notes</gui> menu item, a progress dialog will be displayed, which will let you know when synchronization is complete. Also, all notes will be disabled for editing while synchronization is in progress.</p>
    <figure>
      <title>Synchronization progress</title>
      <media type="image" src="figures/gnote-sync-progress.png" mime="image/png"/>
    </figure>
  </section>

</page>
